from pathlib import Path

from setuptools import find_packages, setup

req = Path(__file__).parent / "requirements.txt"

with req.open() as f:
    install_requires = list(map(str.strip, f))


setup(
    name='hikari',
    version='1.5',
    packages=find_packages(),
    include_package_data=True,
    install_requires=install_requires,
    entry_points="""
        [console_scripts]
        hikari=hikari.hikari:main
    """
)
